#include <bits/stdc++.h>

using namespace std;

int Solve(long long V){
    int uk=0;
    int d[3]={1,2,5};
    for(int i=18;i>=0;i--){
        for(int j=2;j>=0;j--){
          long long a=d[j]*1LL*pow(10,i);
          if(a<=V){

            uk+=(V/a);
            V=V-a*(V/a);

          }
        }
    }
    return uk;
}

int main()
{
    long long V;
    cin>>V;
    cout<<Solve(V);
    return 0;
}